Bug 148082 - Update port: audio/musicpd from 0.15.8 to 0.15.10
Summary: Update port: audio/musicpd from 0.15.8 to 0.15.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-23 09:20 UTC by Chris Rees
Modified: 2010-07-25 03:50 UTC (History)
0 users

See Also:


Attachments
musicpd.diff (3.17 KB, patch)
2010-07-18 13:18 UTC, Chris Rees
no flags Details | Diff
musicpd.diff (3.17 KB, patch)
2010-07-23 19:37 UTC, Chris Rees
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2010-06-23 09:20:02 UTC
	This updates to the new version, and also automates the installation of config files. If this port ends up mine I'd also like to in the future use the variable MPDCONF I've added in to rename the configuration file to a more consistent musicpd.conf, with some code to keep it the same for those who still use mpd.conf

	musicpd hasn't been updated since February this year, and the maintainer has been timing out since December.

	If the maintainer times out again, please could I have maintainership of this port?

	[No disrespect to the current maintainer, these things happen after all]

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--KA7ySGgyq2Tpy9ESQ5ffrVPWfPTL7gZxOusUtiRIY7lbi3W4
Content-Type: text/plain; name="musicpd.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="musicpd.diff"

diff -ruN musicpd.orig/Makefile musicpd/Makefile
--- musicpd.orig/Makefile	2010-06-23 08:28:07.000000000 +0100
+++ musicpd/Makefile	2010-06-23 09:05:03.000000000 +0100
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	musicpd
-PORTVERSION=	0.15.8
-PORTREVISION=	3
+PORTVERSION=	0.15.10
 CATEGORIES=	audio ipv6
 MASTER_SITES=	SF/${PORTNAME}/mpd/${PORTVERSION}
 DISTNAME=	mpd-${PORTVERSION}
@@ -62,6 +61,7 @@
 MPDDIR=	var/mpd
 MPDUSER=	mpd
 MPDGROUP=	mpd
+MPDCONF=	mpd.conf
 
 USERS=	${MPDUSER}
 GROUPS=	${MPDGROUP}
@@ -70,13 +70,15 @@
 MPDGID=	137
 
 PLIST_SUB=	MPDUSER=${MPDUSER} \
-		MPDGROUP=${MPDGROUP}
+		MPDGROUP=${MPDGROUP} \
+		MPDCONF=${MPDCONF}
 
 SUB_LIST+=	MPDUSER=${MPDUSER} \
 		MPDGROUP=${MPDGROUP} \
 		MPDDIR=${PREFIX}/${MPDDIR} \
 		MPDUID=${MPDUID} \
-		MPDGID=${MPDGID}
+		MPDGID=${MPDGID} \
+		MPDCONF=${MPDCONF}
 
 .include <bsd.port.pre.mk>
 
@@ -227,6 +229,10 @@
 .endif
 
 post-install:
+	@${INSTALL_DATA} ${WRKSRC}/doc/mpdconf.example ${PREFIX}/etc/${MPDCONF}.sample
+	@if [ ! -f ${PREFIX}/etc/${MPDCONF} ]; then \
+		${CP} -p ${PREFIX}/etc/${MPDCONF}.sample ${PREFIX}/etc/${MPDCONF} ; \
+	fi
 	@${MKDIR} ${PREFIX}/${MPDDIR}
 	@${CHOWN} -R ${MPDUSER}:${MPDGROUP} ${PREFIX}/${MPDDIR}
 	@${ECHO_MSG}
diff -ruN musicpd.orig/distinfo musicpd/distinfo
--- musicpd.orig/distinfo	2010-06-23 08:28:07.000000000 +0100
+++ musicpd/distinfo	2010-06-23 09:11:15.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (mpd-0.15.8.tar.bz2) = 824e1ce46c0f468865d9e5e403cdaf5d
-SHA256 (mpd-0.15.8.tar.bz2) = 5de1bac0af52c6d2d2744a8c8c84bb1423de4eff2351790068173cf4f287aad7
-SIZE (mpd-0.15.8.tar.bz2) = 390489
+MD5 (mpd-0.15.10.tar.bz2) = fb18fa3ed5ff7e3719536a6603098df5
+SHA256 (mpd-0.15.10.tar.bz2) = fabb48214e27bfaa2bc29c2ad56b5835fc9572951106ae77bb481e892bfc423a
+SIZE (mpd-0.15.10.tar.bz2) = 390045
diff -ruN musicpd.orig/files/musicpd.in musicpd/files/musicpd.in
--- musicpd.orig/files/musicpd.in	2010-06-23 08:28:07.000000000 +0100
+++ musicpd/files/musicpd.in	2010-06-23 09:05:28.000000000 +0100
@@ -15,7 +15,7 @@
 rcvar=`set_rcvar`
 stop_cmd="${name}_stop"
 
-config=%%PREFIX%%/etc/mpd.conf
+config=%%PREFIX%%/etc/%%MPDCONF%%
 command=%%PREFIX%%/bin/mpd
 required_files=$config
 
diff -ruN musicpd.orig/files/pkg-message.in musicpd/files/pkg-message.in
--- musicpd.orig/files/pkg-message.in	2010-06-23 08:28:07.000000000 +0100
+++ musicpd/files/pkg-message.in	2010-06-23 09:09:22.000000000 +0100
@@ -2,10 +2,9 @@
 
 The musicpd package has been successfully installed.
 
-In order to run the MPD server, you need to create
+In order to run the MPD server, you need to edit
 
-	%%PREFIX%%/etc/mpd.conf out of
-	%%PREFIX%%/share/doc/mpd/mpdconf.example
+	%%PREFIX%%/etc/%%MPDCONF%%
 
 and add the following line to /etc/rc.conf:
 
diff -ruN musicpd.orig/pkg-plist musicpd/pkg-plist
--- musicpd.orig/pkg-plist	2010-06-23 08:28:07.000000000 +0100
+++ musicpd/pkg-plist	2010-06-23 09:04:31.000000000 +0100
@@ -1,2 +1,5 @@
 bin/mpd
 @dirrmtry var/mpd
+@unexec if cmp -s %D/etc/%%MPDCONF%%.sample %D/etc/%%MPDCONF%%; then rm -f %D/etc/%%MPDCONF%%; fi
+etc/%%MPDCONF%%.sample
+@exec if [ ! -f %D/etc/%%MPDCONF%% ] ; then cp -p %D/%F %B/%%MPDCONF%%; fi
Comment 1 Edwin Groothuis freebsd_committer 2010-06-23 09:20:10 UTC
Maintainer of audio/musicpd,

Please note that PR ports/148082 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148082

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-23 09:20:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Chris Rees 2010-07-12 11:01:02 UTC
Ding!

Requesting maintainer timeout, and since the last PR for this port
over three months ago (ports/143019) also timed out, please could I
have maintainership of musicpd?

Chri
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-07-12 14:43:25 UTC
State Changed
From-To: feedback->open

Submitter has now become the new maintainer. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-07-12 14:43:25 UTC
Class Changed
From-To: change-request->maintainer-update
Comment 6 Chris Rees 2010-07-18 13:18:03 UTC
Musicpd has been updated again since this PR was first filed, please
find new patch attached. Please disregard the old one!

Chris
Comment 7 Chris Rees 2010-07-23 19:37:35 UTC
On 18 July 2010 13:18, Chris Rees <utisoft@gmail.com> wrote:
> Musicpd has been updated again since this PR was first filed, please
> find new patch attached. Please disregard the old one!
>
> Chris
>

And again! Musicpd-0.15.12 attached

Chris
Comment 8 Sahil Tandon freebsd_committer 2010-07-24 17:36:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 9 dfilter service freebsd_committer 2010-07-25 03:49:05 UTC
sahil       2010-07-25 02:48:54 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile distinfo pkg-plist 
    audio/musicpd/files  musicpd.in pkg-message.in 
  Log:
  - Update to 0.15.12
  - Install configuration file if it does not exist
  
  PR:             ports/148082
  Submitted by:   Chris Rees <utisoft@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.55      +10 -4     ports/audio/musicpd/Makefile
  1.23      +3 -3      ports/audio/musicpd/distinfo
  1.4       +1 -1      ports/audio/musicpd/files/musicpd.in
  1.4       +2 -3      ports/audio/musicpd/files/pkg-message.in
  1.8       +3 -0      ports/audio/musicpd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Sahil Tandon freebsd_committer 2010-07-25 03:49:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!